import { DataGridColumnDescription } from "./DataGridColumnDescription";
import { FormatSpecifierDescription } from "./FormatSpecifierDescription";
import { BaseDataSourceDescription } from "./BaseDataSourceDescription";
import { Type } from "./type";
/**
 * @hidden
 */
export declare class NumericColumnDescription extends DataGridColumnDescription {
    static $t: Type;
    protected get_type(): string;
    private static __canMarshalByValue1;
    constructor();
    private fz;
    get negativePrefix(): string;
    set negativePrefix(a: string);
    private f1;
    get positivePrefix(): string;
    set positivePrefix(a: string);
    private f0;
    get negativeSuffix(): string;
    set negativeSuffix(a: string);
    private f2;
    get positiveSuffix(): string;
    set positiveSuffix(a: string);
    private fn;
    get maxFractionDigits(): number;
    set maxFractionDigits(a: number);
    private fo;
    get minFractionDigits(): number;
    set minFractionDigits(a: number);
    private fp;
    get minIntegerDigits(): number;
    set minIntegerDigits(a: number);
    private fl;
    get showGroupingSeparator(): boolean;
    set showGroupingSeparator(a: boolean);
    private fy;
    get formatString(): string;
    set formatString(a: string);
    private fg;
    get formatSpecifiers(): FormatSpecifierDescription[];
    set formatSpecifiers(a: FormatSpecifierDescription[]);
    private fx;
    get formatOverrideRef(): string;
    set formatOverrideRef(a: string);
    private fv;
    get editorType(): string;
    set editorType(a: string);
    private ft;
    get editorDataSourceRef(): string;
    set editorDataSourceRef(a: string);
    private fi;
    get editorDataSource(): BaseDataSourceDescription;
    set editorDataSource(a: BaseDataSourceDescription);
    private fu;
    get editorTextField(): string;
    set editorTextField(a: string);
    private fw;
    get editorValueField(): string;
    set editorValueField(a: string);
}
